> ## Documentation Index
> Fetch the complete documentation index at: https://www.zinc.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Return

> Retrieve the status of a return



## OpenAPI

````yaml GET /v1/returns/{request_id}
openapi: 3.0.0
info:
  title: Zinc API
  version: 1.0.0
  description: API for placing orders and retrieving product data from top retailers.
servers:
  - url: https://api.zinc.io
    description: Production server
security:
  - basicAuth: []
paths:
  /v1/returns/{request_id}:
    get:
      summary: Retrieve Return
      description: Retrieve a return response given a return request id.
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
          description: The unique identifier for the return request
      responses:
        '200':
          description: Return details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnDetailsResponse'
        '400':
          description: Return is currently in progress or other error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReturnErrorResponse'
components:
  schemas:
    ReturnDetailsResponse:
      type: object
      properties:
        _type:
          type: string
          description: Response type
          enum:
            - return_response
        merchant_return_id:
          type: string
          description: A unique identifier for the return
        return_by:
          type: string
          description: The date before which the products must be returned by
        label_urls:
          type: array
          description: A list of URLs for the generated return labels
          items:
            type: string
        request:
          type: object
          description: The original order request that was sent to the Zinc API
    ReturnErrorResponse:
      type: object
      properties:
        _type:
          type: string
          description: Response type
          enum:
            - error
        code:
          type: string
          description: Error code
          enum:
            - return_in_progress
        message:
          type: string
          description: Error message
        data:
          type: object
          properties:
            status:
              type: object
              properties:
                status:
                  type: string
                  description: Status description
                description:
                  type: string
                  description: Status details
            error:
              type: string
              description: Additional error information
        request:
          type: object
          description: The original request that was sent to the Zinc API
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Use your client token as the username. Leave the password blank.

````